Skip to main content
PATCH
Assign conversation

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

chat_id
string
required

Chat ID

Body

Schema for assigning or unassigning a conversation to/from a team member

member_id
string | null
required

Member ID to assign. Set to null to unassign.

Maximum string length: 128

Response

200 - application/json

Schema for the chat state

id
string
required
state
enum<string>
required

The state status of the chat

Available options:
OPEN,
CLOSED
channel_type
enum<string>
required

The channel type

Available options:
internal,
org,
agent,
custom,
whatsapp_bot,
messenger_bot,
instagram_dm,
tiktok_dm,
telegram_bot,
slack_bot,
teams_bot,
gmail,
outlook,
twilio,
telnyx,
email,
smpp
conversation_id
string
required

The ID of the conversation associated with the chat

ai_enabled
boolean
required

Whether AI is enabled for the chat

admin_unseen_count
number
required

The number of unseen messages in the chat

user_unseen_count
number
required

The number of unseen messages in the chat

assistant
object

Schema for a public assistant

assistant_channel
object

Schema for a public assistant channel

assigned_user
object

The assigned user for the conversation

assigned_at
string<date-time> | null
assistant_config
object

Schema for the configuration of an assistant

follow_up_at
string<date-time> | null

Scheduled follow-up datetime

muted_until
string<date-time> | null

Mute expiry datetime (null = not muted)

free_window_expires_at
string<date-time> | null

When the free entry point window closes: templates sent before it are not charged. It never extends the reply window (null = no free window)

csat_score
integer | null

Customer satisfaction score (1-5)

Required range: 1 <= x <= 5
last_contact_message_at
string<date-time> | null